package com.mayokunadeniyi.instantweather.di.module

import android.content.Context
import androidx.room.Room
import com.mayokunadeniyi.instantweather.data.source.local.WeatherDatabase
import com.mayokunadeniyi.instantweather.data.source.local.dao.WeatherDao
import dagger.Module
import dagger.Provides
import javax.inject.Singleton

/**
 * Created by Mayokun Adeniyi on 02/02/2021.
 */

@Module
class DatabaseModule {

    @Singleton
    @Provides
    fun provideDatabase(context: Context): WeatherDatabase {
        return Room.databaseBuilder(
            context,
            WeatherDatabase::class.java, "InstantWeather.db"
        ).build()
    }

    @Singleton
    @Provides
    fun provideWeatherDao(database: WeatherDatabase): WeatherDao {
        return database.weatherDao
    }
}
